unit uQ;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.Edit,
  FMX.StdCtrls, FMX.Controls.Presentation;

type
  TfrmQ = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    Edit1: TEdit;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    function GetEditText: string;
    procedure SetLabelText(const Text: string);
  end;

var
  frmQ: TfrmQ;

implementation

{$R *.fmx}

procedure TfrmQ.Button1Click(Sender: TObject);
begin
  ModalResult := mrOk;
end;

function TfrmQ.GetEditText: string;
begin
  Result := Edit1.Text;
  Edit1.Text:='';
end;

procedure TfrmQ.SetLabelText(const Text: string);
begin
  Label1.Text := Text;
end;

end.
